io.vertx.rxjava.ext.auth

## Class AuthProvider

- java.lang.Object
- - io.vertx.rxjava.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.rxjava.ext.auth.AuthProvider

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate
  Direct Known Subclasses:
    JDBCAuth, MongoAuth, ShiroAuth

  Deprecated.

      @Deprecated
      public class AuthProvider
      extends AuthenticationProvider
      implements io.vertx.lang.rx.RxDelegate

  User-facing interface for authenticating users.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AuthProvider>` | `__TYPE_ARG` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthProvider(AuthProvider delegate)` Deprecated.
    `AuthProvider(Object delegate)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated.
    `AuthProvider` | `getDelegate()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `static AuthProvider` | `newInstance(AuthProvider arg)` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, authenticate, authenticate, newInstance, rxAuthenticate, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AuthProvider> __TYPE_ARG

      Deprecated.

  - ### Constructor Detail

    - #### AuthProvider

          public AuthProvider(AuthProvider delegate)

      Deprecated.

    - #### AuthProvider

          public AuthProvider(Object delegate)

      Deprecated.

  - ### Method Detail

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public AuthProvider getDelegate()

      Deprecated.
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### newInstance

          public static AuthProvider newInstance(AuthProvider arg)

      Deprecated.

Copyright © 2025 Eclipse. All rights reserved.